{% load i18n admin_static admin_list %}

{% block extrahead %}

<link rel="stylesheet" type="text/css" href="{% static 'admin/css/dashboard.css' %}" />

<link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/redmond/jquery-ui-1.8.2.custom.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/ui.jqgrid.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/ui.multiselect.css' %}" />

<script src="{% static 'custom/js/jqgrid/js/jquery.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery-ui-1.8.2.custom.min.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery.layout.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/i18n/grid.locale-sp.js' %}" type="text/javascript"></script>

<script src="{% static 'custom/js/jqgrid/js/jquery.jqGrid.min.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery.tablednd.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery.contextmenu.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/ui.multiselect.js' %}" type="text/javascript"></script>

<style type='text/css'>

.module1 {
    border: 1px solid #ccc;
    margin-bottom: 5px;
    margin-left: 5px;
    background: white;
    float: left;
    width:30%;
}

.module1 p, .module1 ul, .module1 h3 {
    padding-left: 10px;
    padding-right: 10px;
}

.module1 ul {
    margin-left: 1.5em;
}

.module1 ul.actionlist {
    margin-left: 0;
}

ul.actionlist li {
    list-style-type: none;
}


.module2 {
    border: 1px solid #ccc;
    margin-bottom: 5px;
    margin-left: 5px;
    background: white;
    float: left;
    width:30%;
}

.module2 p, .module2 ul, .module2 h3 {
    padding-left: 10px;
    padding-right: 10px;
}

.module2 ul {
    margin-left: 1.5em;
}

.module2 ul.actionlist {
    margin-left: 0;
}

ul.actionlist li {
    list-style-type: none;
}

</style>

<script type="text/javascript">
function evaluar_nota(value, colname) {
if (value < 0 || value > 20){
   return [false,"Debes ingresar valores de 0 a 20"];
}else{
   return [true,""];
}
}
var lastsel;
jQuery("#editgrid_notas").jqGrid({
   	url:'../Notas/ver_editgrid_notas/?p=' + {{ periodocurso.id }},
	datatype: "json",
   	colNames: {{ titulos|escape }},
   	colModel: {{ celdas|escape }},
   	rowNum:80,
   	pager: '#pagernav',
   	sortname: 'id',
        viewrecords: true,
        sortorder: "desc",
	onSelectRow: function(id){
		if(id && id!==lastsel){
			jQuery('#editgrid_notas').jqGrid('restoreRow',lastsel);
  			lastsel=id;
		}
                jQuery('#editgrid_notas').jqGrid('editRow',id,true);
	},
	editurl: '../Notas/master_editgrid_notas/',
	caption: "Notas de Alumnos UDL",
        height:'100%',
        width: '100%'
});
// jQuery("#editgrid_notas").jqGrid('navGrid',"#pagernav",{search:false,edit:false,add:false,del:false});
jQuery("#editgrid_notas").jqGrid('navGrid','#pagernav',
{search:false,edit:false,add:false,del:false}, //options
{reloadAfterSubmit:true}, // edit options
{}, // add options
{}, // del options
{} // search options
);
</script>


{% endblock %}

{% block content %}
  <h2>Notas del Grupo {{ periodocurso.Grupo|escape }} - {{ periodocurso.Curso.Nombre|escape }} - {{ periodocurso.Curso.Carrera.Carrera|escape }}</h2>
  <h2>Docente: {{ periodocurso.Docente|escape }}</h2>
<p></p>
<a href="../notas/exportar_excel/{{ periodocurso.id }}/" >Descargar Notas de Estudiantes</a>
<p></p>
  <div id="content-main">
      <table id="editgrid_notas"></table>

      <div id="pagernav"></div>
      <p></p>

      <div class="module2">
        <h3>Items de Calificación</h3>
        <ul class="actionlist">
       {% for nota in notas %}
           <li>{{ nota.Identificador }} : "{{ nota.Nota }}"</li>
       {% endfor %}
        </ul>
      </div>

      <div class="module1">
        <h3>Fórmulas de Calificación</h3>
        <ul class="actionlist">
       {% for formula in formulas %}
           <li>{{ formula }}</li>
       {% endfor %}
        </ul>
      </div>

  </div>
{% endblock %}
{% block footer %}
    <div id="footer" align="center">
	<br /><br /><br />
	<hr />
	<p>UDL todos los derechos reservados ® 2013
	   <br /> <a href=http://www.udl.edu.pe>www.udl.edu.pe</a>
	</p>

    </div>
{% endblock %}
